<template>
        <div id="barra">
        <div id="caixatexto">
        <img :src="lupaP" alt="lupa" width="16" height="16" >
        <form :action="google">
            <input type="text" name='q' id="caixatexto">
        </form>
        </div>
        <div>
            <a href="#"><img :src="tecladinho" alt="tecladinho" id="tec"></a>
            <a href="#" id="mic"><img :src="mic" id="voz" height="26" width="24"></a>
        </div>
        </div>
</template>

<script>
export default {
    name: ' SearchBar',
    data(){
        return{
            lupaP: 'https://images.vexels.com/media/users/3/140723/isolated/preview/158241d2079a635fb0cae49accb56da5-icono-de-lupa-by-vexels.png',
            google:'https://google.com/search',
            tecladinho: 'https://www.gstatic.com/inputtools/images/tia.png',
            mic: 'https://th.bing.com/th/id/OIP.bBBH2buh0TQgoz3LvFJcoAHaHa?pid=ImgDet&rs=1'
        }
    }
}
</script>

<style>
#caixatexto{
    display: flex;
    align-items: center;
    justify-content: space-between;
}
#barra{
    position: relative;
    left: 28.5%;
    margin-top: 1.5%;
    padding: 0px 10px 0px 0px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 42vw;
    height: 44px;
    border-radius: 40px;
    border: 1px solid rgb(224, 224, 224);


}
#caixatexto{
    position: relative;
    padding: 0px 0px 0px 15px;
    width: 21vw;
    height: 18px;
    border: none;
    border-style: none;
    outline: 0;
    font-size: 16px;
}
#mic{
    position: relative;
    top: 2px;
    padding: 0px 5px 0px 10px;
}
#tec {
    position: relative;
    bottom: 4px;
}
</style> 